org.jboss.shrinkwrap.descriptor.api.javaee6

## Enum EjbRefTypeType

- java.lang.Object
- - java.lang.Enum<EjbRefTypeType>
  - - org.jboss.shrinkwrap.descriptor.api.javaee6.EjbRefTypeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EjbRefTypeType>

      public enum EjbRefTypeType
      extends java.lang.Enum<EjbRefTypeType>

  This class implements the `ejb-ref-typeType` xsd type

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_ENTITY`
    `_SESSION`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EjbRefTypeType` | `getFromStringValue(java.lang.String value)`
    `java.lang.String` | `toString()`
    `static EjbRefTypeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EjbRefTypeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### _ENTITY

          public static final EjbRefTypeType _ENTITY

    - #### _SESSION

          public static final EjbRefTypeType _SESSION

  - ### Method Detail

    - #### values

          public static EjbRefTypeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EjbRefTypeType c : EjbRefTypeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EjbRefTypeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<EjbRefTypeType>`

    - #### getFromStringValue

          public static EjbRefTypeType getFromStringValue(java.lang.String value)

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)